import { AppProvider } from "../../../../../core/modules/_shared/domain/models/app-provider";
import { ProtectionPlanModule } from "../../../protection-plan";
import { AppModule } from "../../../../../core/modules/_shared/domain/models/app-module";
export default class ProtectionPlanDataProvider implements AppProvider {
    private core;
    private module;
    constructor(core: AppModule, module: ProtectionPlanModule);
    get type(): string;
    services(params?: any): Record<string, InstanceType<any>>;
}
